Quassel IRC - Bug #797

Quassel crashes when opening web-links
09/04/2009 07:12 PM - billie

Status: Closed Start date: 09/04/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5-rc 0S: Linux
Description

As the title says quassel crashes every time when i open a web-link. Crash log is attached, but i don't know if it is helpful.

History

#1 - 09/05/2009 11:43 AM - EgS

Same here on Mac OS X. My backtrace is a bit more verbose though :)

Exception Type: EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000004
Crashed Thread: 0

Thread 0 Crashed:

0 QtGui 0x00e03ae3 QStyleSheetStyle::sizeFromContents (QStyle::ContentsType, QSty
leOption const*, QSize consté&, QWidget const*) const + 6083

1 QtWebKit 0x01c5fde0 WebCore: :RenderThemeQt: :computeSizeBasedOnStyle (WebCore: :Rend
erStyle*) const + 1664

2 OtWebKit 0x01c609fe WebCore::RenderThemeQt::adjustTextFieldStyle (WebCore::CSSStyl
eSelector*, WebCore::RenderStyle*, WebCore::Element*) const + 510

3 QtWebKit 0x01811bfb WebCore::CSSStyleSelector::adjustRenderStyle (WebCore: :RenderS
tyle*, WebCore::Element*) + 2459

4 QtWebKit 0x0183bb92 WebCore::CSSStyleSelector::styleForElement (WebCore: :Element*,
WebCore: :RenderStyle*, bool, bool) + 1122

5 OtWebKit 0x0189507e WebCore::Node::styleForRenderer () + 126

6 OtWebKit 0x01897948 WebCore::Node::createRendererIfNeeded () + 120

7 QtWebKit 0x0187fcl0 WebCore::Element::attach() + 32

8 OtWebKit 0x01992970 WebCore::HTMLFormControlElement::attach() + 32

9 QtWebKit 0x0199e287 WebCore::HTMLInputElement::attach() + 55

10 QtWebKit 0x01904b10 WebCore::HTMLParser::insertNode (WebCore: :Node*, bool) + 336
11 QOtWebKit 0x019b512b WebCore::HTMLParser: :parseToken (WebCore: :Token*) + 347

12 QtWebKit 0x019d21c2 WebCore::HTMLTokenizer: :processToken() + 786

13 OQtWebKit 0x019d7931 WebCore::HTMLTokenizer: :parseTag (WebCore: :SegmentedString&, W
ebCore: :HTMLTokenizer::State) + 3505

14 QtWebKit 0x019d9e21 WebCore::HTMLTokenizer::write (WebCore::SegmentedString consté
, bool) + 1169

15 OQtWebKit 0x019cb627 WebCore::HTMLTokenizer::notifyFinished (WebCore: :CachedResourc

e*) + 1687

16 QtWebKit 0x01al418c WebCore::CachedScript::checkNotify () + 60

17 QtWebKit 0x01abb9%b5 WebCore::Loader::Host::didFinishLoading (WebCore: :Subresourcel

oader*) + 229

18 QtWebKit 0x0labaddl WebCore::SubresourcelLoader::didFinishLoading () + 49

19 OQtWebKit 0x01c50d55 WebCore::QNetworkReplyHandler::finish() + 709

20 QtWebKit 0x01c5106e WebCore::QNetworkReplyHandler: :gt_metacall (QMetaObject::Call,
int, void**) + 126

21 QtCore 0x0064ac7b QMetaCallEvent::placeMetaCall (QObject*) + 43

22  QtCore 0x0064b622 QObject::event (QEvent*) + 530

23  QtGui 0x00b0febf QApplicationPrivate::notify_helper (Q0bject*, QEvent*) + 191
24  QtGui 0x00b169cc QApplication::notify (QObject*, QEvent*) + 252

25 QtCore 0x0063ae82 QCoreApplication::notifyInternal (QObject*, QEvent*) + 98

26 QtCore 0x0063e091 QCoreApplicationPrivate::sendPostedEvents (Q0bject*, int, QThr

eadData*) + 689

27  QtGui 0x00abbb38 QEventDispatcherMacPrivate: :postedEventsSourcePerformCallback
(void*) + 72

28 com.apple.CoreFoundation 0x908843c5 CFRunLoopRunSpecific + 3141

29 com.apple.CoreFoundation 0x90884aa8 CFRunLoopRunInMode + 88

30 com.apple.HIToolbox 0x93c252ac RunCurrentEventLoopInMode + 283
31

com.apple.HIToolbox

32 com.apple.HIToolbox

33 QtGui

EventsFlag>) + 329

34 QtCore

g>) + 65

35 QtCore

36 QtCore

37 org.quassel-irc.client
38 org.quassel-irc.client
#2 - 09/20/2009 09:11 PM - billie

0x93c250c5
0x93d68377
0x00abcll9

0x0063a531

0x0063a6dd
0x0063e2de
0x00005d85
0x00005136

ReceiveNextEventCommon + 374
ReceiveNextEvent + 58
QEventDispatcherMac: :processEvents (QFlags<QEventLoop: :Process

QEventLoop: :processEvents (QFlags<QEventLoop: :ProcessEventsFla

QEventLoop: :exec (QFlags<QEventLoop: :ProcessEventsFlag>) + 157
QCoreApplication::exec() + 174

main + 3093

start + 54

Disabling the web previews fixes the issue. So it must be a problem with webkit or the preview implementation in quassel.

#3 - 01/27/2010 11:36 PM - seezer
- Status changed from New to Closed

- Version changed from 0.5-pre to 0.5-rc1

Doesn't seem to exist anymore.
Reopen if it does.
